package com.kiisoo.ic.job;

import com.lmax.disruptor.EventTranslator;

import java.util.Random;

public class DTOMessageEventTranslator implements EventTranslator<DTOMessage> {

    private Random random = new Random();

    private DTOMessage generateTradeTransaction(DTOMessage trade) {
//        System.out.println("DTOMessageEventTranslator" + trade.toString());
        return trade;
    }

    @Override
    public void translateTo(DTOMessage dtoMessage, long l) {
        this.generateTradeTransaction(dtoMessage);
    }
}
